#pragma once
#include <map>
struct Fish_TurretPosCFGData
{
	//ID
	int mID;
	//X×ø±ê
	int mX;
	//Y×ø±ê
	int mY;
	//Ðý×ª
	bool mIsFlippedY;
};

class Fish_TurretPosCFG
{
public:
private:
	static std::auto_ptr<Fish_TurretPosCFG> msSingleton;
public:
	int GetCount();
	const Fish_TurretPosCFGData* GetData(int ID);
	const std::map<int, Fish_TurretPosCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TurretPosCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TurretPosCFGData> mMapData;
};
